
# ========================== server ===============================
redkale.name = app_local
redkale.port = 5001
redkale.excludelibs.value = ^.*mysql.*$;^.*google.*$
redkale.properties.load = config.txt

# --- executor ---
# redkale.executor.threads = 32
# redkale.executor.hash = true

# --- listener ---
redkale.listener[0].value = net.tccn.base.MetaListenter

# ========================== server ===============================
redkale.server[0].protocol = HTTP
redkale.server[0].port = 80
redkale.server[0].host = 0.0.0.0
redkale.server[0].maxbody = 2m
redkale.server[0].root = root
# --- request ---
redkale.server[0].request.remoteaddr = request.headers.X-Real-IP

# --- rest ---
redkale.server[0].rest.autoload = true
redkale.server[0].rest.base = net.tccn.base.BaseServlet

# --- render ---
redkale.server[0].render.value = net.tccn.base.MetaRender
# --- response ---
redkale.server[0].response.addheader[0].name = X-Node
redkale.server[0].response.addheader[0].value = system.property.APP_NODE
redkale.server[0].response.addheader[1].name = Access-Control-Allow-Methods
redkale.server[0].response.addheader[1].value = *
redkale.server[0].response.addheader[2].name = Access-Control-Max-Age
redkale.server[0].response.addheader[2].value = 3600
redkale.server[0].response.addheader[3].name = Access-Control-Allow-Headers
redkale.server[0].response.addheader[3].value = *
redkale.server[0].response.addheader[4].name = Access-Control-Allow-Credentials
redkale.server[0].response.addheader[4].value = true
redkale.server[0].response.addheader[5].name = Access-Control-Allow-Origin
redkale.server[0].response.addheader[5].value = *
redkale.server[0].response.addheader[6].name = node
redkale.server[0].response.addheader[6].value = app_local

redkale.server[0].services[0].autoload = true
# =================================================================